CloudLinux - CloudLinux Blog - Issues with CloudLinux OS 7.7 update on systems with kernel v3.10.0-862 or lower
Blog
Featured 

Issues with CloudLinux OS 7.7 update on systems with kernel v3.10.0-862 or lower

CL_OS_kernel_warning

Issue description

The recent CloudLinux OS 7.7 update includes the iproute-4.11.0-25.el7[.cloudlinux] package that is not working correctly on systems with a 3.10.0-862 or lower kernel version.
If you apply the update and reboot the server, the network will probably go down.

Issue solution

The solution is to upgrade to the iproute-4.11.0-25.el7.cloudlinux.1 package by running the command:

yum upgrade iproute*

Additional notes

Kernels newer than 3.20.0-862 do not face the issue with the iproute-4.11.0-25.el7[.cloudlinux] package.

Explanations and apologies

We are very sorry about this issue.

We knew that the new iproute-4.11.0-25.el7 package is not compatible with kernels lower than 3.10.0-862 and mentioned it in our release announcement and took the appropriate steps: we added conflicts to the new packages and tested the update on the typical configurations.
But, unfortunately, we did not take into account all cases and some of our clients faced issues after the update.
Now, we are investigating the issue and releasing the hot-fix which is actually a downgrade to the previous stable package.

Once again, please accept our sincerest apologies for this problem and be assured that we have a plan for preventing this from happening again.

Beta: kernel module for CloudLinux 7 hybrid update...
Beta: Alt-PHP updated
 

By accepting you will be accessing a service provided by a third-party external to https://www.cloudlinux.com/